spamassassin-dev November 2011 archive
Main Archive Page > Month Archives  > spamassassin-dev archives
spamassassin-dev: [Bug 6681] NetAddr-IP version above 4.048 brea

[Bug 6681] NetAddr-IP version above 4.048 break sa-update

From: <bugzilla-daemon_at_nospam>
Date: Wed Nov 02 2011 - 15:57:10 GMT
To: dev@spamassassin.apache.org

https://issues.apache.org/SpamAssassin/show_bug.cgi?id=6681

--- Comment #25 from Mark Martinec <Mark.Martinec@ijs.si> 2011-11-02 15:57:10 UTC ---
> FYI, I'm a little nervous about additional changes due to a possible new
> incompatibility with some BSD network stacks.

I think the change to an info text only is the least obtrusive at the moment.
Probably not worth venturing into stronger restrictions - we just need to
keep this bug in mind to be able to point people in the right direction.

> There's quite a few test failure reports in the testing system at the moment.

I believe the trunk no longer uses a shorthand notation like 127.1
anywhere, which is probably why some of use who tried 4.050 were not
affected by a bug (provided this notation is also not used in a
local configuration like trusted_networks etc).

It is likely most people won't be affected by the 127.1 bug
re-introduction when switching to 3.4.0, nor by the Math::BigInt
incompatibility.

-- Configure bugmail: https://issues.apache.org/SpamAssassin/userprefs.cgi?tab=email ------- You are receiving this mail because: ------- You are the assignee for the bug.